v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/{externalSubjectId}/locally-sourced-kits
Retrieves locally sourced kit settings for a Subject ID.
Request
Path Parameters
-
externalSubjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
-
instanceNumber: string
Instance number for unscheduled visit.
-
visitId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
204 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object LocallySourceKitsResponse v1.0
Title:
LocallySourceKitsResponse v1.0Response containing locally sourced kit details.
Nested Schema : LocallySourceKitsResponse v1.0
Type:
objectTitle:
LocallySourceKitsResponse v1.0Response containing locally sourced kit details.
Show Source
-
deviceConnection: string
Title:
Device Connection TypeDevice connection type. -
deviceType: string
Title:
Device TypeDevice type. -
dispensationDate: string
(date-time)
Title:
Dispensation DateDispensation date. -
instanceNumber: number
Title:
Instance NumberVisit instance number. -
kitDescription: string
Kit description.
-
quantity: number
Title:
QuantityKit quantity. -
trialSupplyType: string
Title:
Trial Supply TypeType of the trial supply. -
userId: string
(uuid)
Title:
User IDUser ID. -
visitId: string
(uuid)
Title:
Visit Source IDVisit source identifier.
Examples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples